# Project: ZeEngineGP2X
# Makefile created by Dev-C++ 4.9.9.2

CPP  = arm-linux-g++.exe
CC   = arm-linux-gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = beet3do.o cow.o engine3d.o env1.o face.o generate3d.o precalcs.o render3d.o teapot.o ZeEngineGP2X.o bitfonts.o memset.o $(RES)
LINKOBJ  = beet3do.o cow.o engine3d.o env1.o face.o generate3d.o precalcs.o render3d.o teapot.o ZeEngineGP2X.o bitfonts.o memset.o $(RES)
LIBS =  -L"C:/WINDOWS/0ptimus/code/devkitGP2X/lib" -L"C:/WINDOWS/0ptimus/code/devkitGP2X/gp2x/lib" -L"C:/WINDOWS/0ptimus/code/devkitGP2X/sysroot/usr/lib" -s -static -lSDLmain -lSDL -lpthread -lm  
INCS =  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/include"  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/gp2x/include"  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/sysroot/usr/include" 
CXXINCS =  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/include"  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/gp2x/include"  -I"C:/WINDOWS/0ptimus/code/devkitGP2X/sysroot/usr/include" 
BIN  = ZeEngineGP2X.gpe
CXXFLAGS = $(CXXINCS)   -w -fexpensive-optimizations -O3
CFLAGS = $(INCS)   -w -fexpensive-optimizations -O3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before ZeEngineGP2X.gpe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o "ZeEngineGP2X.gpe" $(LIBS)

beet3do.o: beet3do.c
	$(CC) -c beet3do.c -o beet3do.o $(CFLAGS)

cow.o: cow.c
	$(CC) -c cow.c -o cow.o $(CFLAGS)

engine3d.o: engine3d.c
	$(CC) -c engine3d.c -o engine3d.o $(CFLAGS)

env1.o: env1.c
	$(CC) -c env1.c -o env1.o $(CFLAGS)

face.o: face.c
	$(CC) -c face.c -o face.o $(CFLAGS)

generate3d.o: generate3d.c
	$(CC) -c generate3d.c -o generate3d.o $(CFLAGS)

precalcs.o: precalcs.c
	$(CC) -c precalcs.c -o precalcs.o $(CFLAGS)

render3d.o: render3d.c
	$(CC) -c render3d.c -o render3d.o $(CFLAGS)

teapot.o: teapot.c
	$(CC) -c teapot.c -o teapot.o $(CFLAGS)

ZeEngineGP2X.o: ZeEngineGP2X.c
	$(CC) -c ZeEngineGP2X.c -o ZeEngineGP2X.o $(CFLAGS)

bitfonts.o: bitfonts.c
	$(CC) -c bitfonts.c -o bitfonts.o $(CFLAGS)

memset.o: memset.S
	$(CC) -c memset.S -o memset.o $(CFLAGS)
